Subject: Re: HPET regression in 2.6.26 versus 2.6.25 -- found another user with the same regression

From: David Witbrodt <[email-masked]>
Date: Thu, 21 Aug 2008 06:33:06 -0700 (PDT)

> > Please advise me on how you would like me to handle 2.6.27 kernels.
> > If I use your patch on 2.6.27-rc3, the message scroll off the 80x25 
> > screen before I can see them... 
> 
> Couldn't you play with CONFIG_BOOT_PRINTK_DELAY?

Thanks for this!  I am not a developer, so I am not familiar with all
of the little tweaks available in the kernel configs -- I've probably
seen this dozens of times, but ignored it because I wasn't debugging.

Now that I _am_ debugging, I wish I had paid more attention.

When I tried it, my kernel hung much earlier in the boot process.  The
help text for CONFIG_BOOT_PRINTK_DELAY even mentions that this can be
a problems on SMP systems, and that is exactly what I have.

Bummer.

Thanks though,
Dave W.